View Issue Details

IDProjectCategoryView StatusLast Update
0022145LazarusLazReportpublic2019-04-22 19:30
ReporterMartin FriebeAssigned ToJesus Reyes 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version1.1 (SVN)Product Build 
Target VersionFixed in Version1.1 (SVN) 
Summary0022145: LazReport crash
DescriptionSee issue 0022144

The exe is getting out of control (somehow avoiding a crash) leading to a call to exit(255)

This is caused by components\lazreport\source\lr_class.pas
  procedure TfrPictureView.GetBlob(b: TfrTField);

AGraphic is never initialized to nil.
So this code fails:

        if assigned(AGraphic) then
          AGraphic.Free;

Also "Free" checks for "assigned" so the "if" is not necessary.

A solution would be to set
  AGraphic := nil;

before entering the try final
TagsNo tags attached.
Fixed in Revision37447
LazTarget-
WidgetsetWin32/Win64
Attached Files

Activities

Jesus Reyes

2012-05-29 04:20

developer   ~0060025

fixed, thanks.

Issue History

Date Modified Username Field Change
2012-05-28 18:30 Martin Friebe New Issue
2012-05-28 18:30 Martin Friebe LazTarget => -
2012-05-28 18:30 Martin Friebe Widgetset => Win32/Win64
2012-05-28 19:21 Jesus Reyes Status new => assigned
2012-05-28 19:21 Jesus Reyes Assigned To => Jesus Reyes
2012-05-29 04:20 Jesus Reyes Fixed in Revision => 37447
2012-05-29 04:20 Jesus Reyes Status assigned => resolved
2012-05-29 04:20 Jesus Reyes Fixed in Version => 1.1 (SVN)
2012-05-29 04:20 Jesus Reyes Resolution open => fixed
2012-05-29 04:20 Jesus Reyes Note Added: 0060025
2019-04-22 19:30 Martin Friebe Status resolved => closed